#!/bin/bash

# reset the mux device to default values
pypy ./muxctrl.py -g -m -l 0 -s 115200

# TODO start logging of the received data

# read from line 0 to 7
for i in `seq 0 7`;
do
  echo "channel #"$i

  pypy ./muxctrl.py -l $i

  sleep 30
done

sleep 3

# TODO stop logging of the received data

pypy ./muxctrl.py -g -m -l 0 -s 115200

